#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=incompatible-pointer-types
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

execute_before_dh_autoreconf:
	./autogen.sh --disable-onlineaccounts

override_dh_auto_configure:
	dh_auto_configure -- \
			--disable-onlineaccounts \
			--disable-updatemimedb

execute_after_dh_auto_build:
	./panels/info/logo-generator --logo panels/info/UnityLogoBlank.png --text "unity 7.7.1" \
		--output panels/info/UnityLogo.png

override_dh_makeshlibs:
	dh_makeshlibs -punity-control-center --no-act
	dh_makeshlibs --remaining-packages

override_dh_missing:
	dh_missing --list-missing

# FIXME
override_dh_auto_test:
	dh_auto_test || true
